Debian Bug report logs - #610641
debian-installer: Grub2 in squeeze installer attempts to install to wrong disk.

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Patrick Finnegan <pat@purdueriots.com>

Date: Thu, 20 Jan 2011 18:15:01 UTC

Severity: important

Merged with 388559, 542193

Fixed in version 1.86

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610641; Package debian-installer. (Thu, 20 Jan 2011 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Finnegan <pat@purdueriots.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 20 Jan 2011 18:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Finnegan <pat@purdueriots.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Grub2 in squeeze installer attempts to install to wrong disk.
Date: Thu, 20 Jan 2011 12:27:04 -0500
Package: debian-installer
Severity: important

Install onto a disk other than /dev/sda (eg, /dev/sdb), but grub still
attempts to do a grub-install to /dev/sda, which fails, because /dev/sda
has no partition table.  Grub should install itself to the same disk that
/boot is on.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:09:05 GMT) Full text and rfc822 format available.

Forcibly Merged 388559 542193 610641. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610641; Package grub-installer. (Mon, 17 Mar 2014 00:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Mar 2014 00:33:08 GMT) Full text and rfc822 format available.

Message #14 received at 610641@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jan Grant <jan.grant@bristol.ac.uk>, 388559-done@bugs.debian.org
Cc: Teemu Likonen <tlikonen@iki.fi>, 542193@bugs.debian.org, Patrick Finnegan <pat@purdueriots.com>, 610641@bugs.debian.org
Subject: Re: Bug#388559: Installation report: subfire x4100, etch rc3
Date: Mon, 17 Mar 2014 01:28:30 +0100
[Message part 1 (text/plain, inline)]
Version: 1.86

Jan Grant <jan.grant@bristol.ac.uk> (2006-09-21):
> The root disk is therefore /dev/sdi. I don't have a problem with this, 
> but the installer does. At the point where I selected a grub 
> installation into the MBR, I saw a response which stated that it 
> couldn't find or write to /dev/hda.
> 
> The workaround was to use the emergency shell and chroot into /target, 
> running update-grub and grub-install /dev/sdi by hand.
> 
> The installation otherwise completed - apparently, under my early 
> testing, successfully.

It took quite some time, but that's been finally fixed in the above
mentioned version, by prompting where to install grub to.

The first official release featuring this bug fix is the upcoming
jessie alpha 1 installer.

Thanks everyone for your reports.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2014 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:04:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.